// TypeView.cpp : implementation of the CTypeView class
//

#include "stdafx.h"
#include "TranspBitmaps.h"

#include "TranspBitmapsDoc.h"
#include "TypeView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTypeView

IMPLEMENT_DYNCREATE(CTypeView, CTreeView)

BEGIN_MESSAGE_MAP(CTypeView, CTreeView)
	//{{AFX_MSG_MAP(CTypeView)
	ON_NOTIFY_REFLECT(TVN_SELCHANGED, OnSelchanged)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTypeView construction/destruction

CTypeView::CTypeView()
{
	// TODO: add construction code here

}

CTypeView::~CTypeView()
{
}

BOOL CTypeView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CTreeView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CTypeView drawing

void CTypeView::OnDraw(CDC* pDC)
{
	CTranspBitmapsDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
}


void CTypeView::OnInitialUpdate()
{
	CTreeView::OnInitialUpdate();

	// TODO: You may populate your TreeView with items by directly accessing
	//  its tree control through a call to GetTreeCtrl().
	CTreeCtrl& tree = GetTreeCtrl();
	tree.SetItemData(tree.InsertItem("1 - Image List"), 1);
	tree.SetItemData(tree.InsertItem("2 - TransparentBlt()"), 2);
	tree.SetItemData(tree.InsertItem("3 - Simple AlphaBlend()"), 3);
	tree.SetItemData(tree.InsertItem("4 - Complex AlphaBlend()"), 4);
}

/////////////////////////////////////////////////////////////////////////////
// CTypeView diagnostics

#ifdef _DEBUG
void CTypeView::AssertValid() const
{
	CTreeView::AssertValid();
}

void CTypeView::Dump(CDumpContext& dc) const
{
	CTreeView::Dump(dc);
}

CTranspBitmapsDoc* CTypeView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CTranspBitmapsDoc)));
	return (CTranspBitmapsDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CTypeView message handlers

void CTypeView::OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_TREEVIEW* pNMTreeView = (NM_TREEVIEW*)pNMHDR;
	HTREEITEM h = GetTreeCtrl().GetSelectedItem();
	GetDocument()->SetDrawType(GetTreeCtrl().GetItemData(h));
	*pResult = 0;
}
